package cn.pluss.platform.newArea;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.NewArea;

public interface NewAreaService {

    public NewArea queryNewArea(NewArea newArea);

    public List<NewArea> queryNewAreaList(NewArea newArea);

    public void saveNewArea(NewArea newArea);

    public void updateNewArea(NewArea newArea);

    public void deleteNewArea(NewArea newArea);

    public List<NewArea> queryNewAreaPage(Map map);

    public Integer queryNewAreaPageCount(Map map);

    public void saveNewAreaBatch(List<NewArea> newAreaList);
}

